You are here

Minimum system requirements for Field and Field Mobile

Make sure you have what you need to run Field and Field Mobile.

Use Field on the desktop

You can use Field with the same operating systems and browsers as Aconex.

Use Field Mobile on iOS

We support Field version 3.0.0 and above. Download the latest version here.

Field Mobile runs on iPhone, iPad and iPad Mini devices running iOS 9 or higher.

Use Field Mobile on Android

We support Field version 3.0.0 and above. Download the latest version here.

Field Mobile runs on phones and tablets:

  • running Android 6 or higher

  • with a rear-facing camera.

Feedback